すでにPHPをインストールしているMac OSにPHPをインストールするには?

私は、Mac Leopardシステムに付属しているデフォルトのバージョンとは異なり、Postgresで動作するようにコンパイルされたPHPのバージョンをインストールする必要があります。何らかの理由でhttpd.confファイルやphp.iniファイルを無効にしたり、システムを混乱させたりすることなく、これを行うにはどうしたらよいですか?

1
あなたはpostgresモジュールをコンパイルし、既存のPHPにロードすることができます。
追加された 著者 Marc B,
追加された 著者 outis,

2 答え

私はこれを行うために自作を使いました:

brew install https://github.com/adamv/homebrew-alt/raw/master/duplicates/php.rb --with-mysql --with-intl --with-apxs2=/usr/sbin/apxs --enable-cli --enable-mbregex --with-pgsql

これは既存のphp.iniファイルを置き換えるべきではありませんが、注意が必要な場合は、まずコピーを作成してください。 httpd.confには影響しません

詳細な説明

1
追加された
私のために働いた醸造所を使って。私は私の醸造されたバージョンを使用するために、ネイティブのApacheサーバーを無効にしなければならなかったが、大きな問題はありません。
追加された 著者 Elisa,

MacPortsはパッケージ用に完全に別個のインストールツリーを作成します:

sudo port install php5-postgresql

必要なものはすべてインストールされます。たとえば、php.iniは/opt/local/etc/php5/php.iniにあります。

Get MacPorts from here: MacPorts

0
追加された
PHP - 日本のコミュニティ [ja]
PHP - 日本のコミュニティ [ja]
4 参加者の

このグループではPHPについて話します。 パートナー:kotaeta.com